# -*- coding:utf-8 -*-

from app.main.cam.auth.encryptor import Encryptor
from app.main.tools.tools import Tools
import time
import base64
import urllib

class CamUrl(object):

    def __init__(self, policy, duration, secret_id, secret_key, name=''):
        #self.__policy = base64.b64encode(policy)
        self.__policy = policy
        self.__duration = str(duration)
        self.__secret_id = secret_id
        self.__name = name
        self.__method = 'GET'
        self.__path = 'sts.api.qcloud.com/v2/index.php'
        self.__scheme = 'https://'
        self.__encryptor = Encryptor(secret_key)
        self.__timestamp = str(int(time.time()))
        self.__nonce = str(int(time.time()) % 1000000)
        self.__action = 'GetFederationToken'
        self.__code_mode = 'base64'
        self.__region = ''
        self.__request_client = ''

    def url(self):

        params = {'Action': self.__action,
                  'codeMode': self.__code_mode,
                  'Nonce': self.__nonce,
                  'Region': self.__region,
                  'RequestClient': self.__request_client,
                  'SecretId': self.__secret_id,
                  'Timestamp': self.__timestamp,
                  'name': self.__name,
                  'policy': self.__policy,
                  'durationSeconds': self.__duration
                  }

        sign = self.__encryptor.encrypt(self.__method, self.__path, params)
        params['Signature'] = sign
        flat_params_str = Tools.flat_params(params)

        return self.__scheme + self.__path + '?' + flat_params_str




